Bulletin d'alerte Debian

DSA-718-2 ethereal -- Dépassement de tampon

Date du rapport :
28 avril 2005
Paquets concernés :
ethereal
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2005-0739.
Plus de précisions :

Un dépassement de tampon a été découvert dans l'extracteur IAPP d'Ethereal, un analyseur de trafic réseau communément utilisé. Un attaquant distant pouvait provoquer un dépassement de tampon en utilisant un paquet malicieux. D'autres problèmes ont été découverts qui ne touchent pas la version dans l'actuelle distribution stable (Woody), mais sont corrigés dans la version de la distribution instable (Sid).

Pour l'actuelle distribution stable (Woody), ce problème a été corrigé dans la version 0.9.4-1woody12.

Pour la distribution instable (Sid), ces problèmes ont été corrigés dans la version 0.10.10-1.

Nous vous recommandons de mettre à jour vos paquets ethereal.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12.dsc
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12.diff.gz
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/e/ethereal/ethereal_0.9.4-1woody12_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.

Les sommes MD5 des fichiers indiqués sont disponibles dans la nouvelle annonce de sécurité.